org.freedesktop.cairo

## Class FontOptions

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.freedesktop.cairo.FontOptions

-     public class FontOptions
      extends org.freedesktop.bindings.Proxy

  Configuration of how hinting will be employed (by Pango, actually) when rendering text.

  This is mostly used to achieve clean linear scaling by chosing `HintMetrics.OFF`. See `setFontOptions()` for an example of using this in practice.

  Since:
    4.0.17
  Author:
    Andrew Cowie

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontOptions()` Create a FontOptions instance allowing you to get at various font rendering configuration parameters.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setHintMetrics(HintMetrics hinting)` Whether or not you want hinting.
    `void` | `setHintStyle(HintStyle hinting)` Which style of hinting to employ.

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FontOptions

          public FontOptions()

      Create a FontOptions instance allowing you to get at various font rendering configuration parameters.
      Since:
        4.0.10

  - ### Method Detail

    - #### setHintMetrics

          public void setHintMetrics(HintMetrics hinting)

      Whether or not you want hinting. For normal rendering you certainly do (and this is likely the default) but for the rare case where you need multiple versions of the same text to be identical across linear scaling, then you'll need this `OFF`.
      Since:
        4.0.10

    - #### setHintStyle

          public void setHintStyle(HintStyle hinting)

      Which style of hinting to employ.
      Since:
        4.0.17